Skip to main content
GET
/
transparency
/
log
/
{agent_id}
/
{log_index}
Direct log entry by index, with Merkle inclusion proof.
curl --request GET \
  --url https://api.mnemom.ai/v1/transparency/log/{agent_id}/{log_index}
{
  "entry": {
    "log_index": 2,
    "agent_id": "<string>",
    "content_hash": "<string>",
    "version": 2,
    "composed_at": "2023-11-07T05:31:56Z",
    "signed_attestation": "<string>",
    "signing_key_id": "<string>",
    "merkle_leaf_hash": "<string>",
    "tree_size_after": 2,
    "integrated_time": "2023-11-07T05:31:56Z"
  },
  "inclusion_proof": {
    "leaf_hash": "<string>",
    "log_index": 2,
    "tree_size": 2,
    "hashes": [
      {
        "sibling": "<string>"
      }
    ]
  }
}

Path Parameters

agent_id
string
required
log_index
integer
required
Required range: x >= 1

Response

Log entry + inclusion proof.

entry
object
required
inclusion_proof
object
required